import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeRefreshSchemasStatusInput } from "../types/DescribeRefreshSchemasStatusInput";
import { DescribeRefreshSchemasStatusOutput } from "../types/DescribeRefreshSchemasStatusOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/DescribeRefreshSchemasStatusInput";
export * from "../types/DescribeRefreshSchemasStatusOutput";
export * from "../types/DescribeRefreshSchemasStatusExceptionsUnion";
export declare class DescribeRefreshSchemasStatusCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeRefreshSchemasStatusInput, OutputTypesUnion, DescribeRefreshSchemasStatusOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: DescribeRefreshSchemasStatusInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeRefreshSchemasStatusInput, DescribeRefreshSchemasStatusOutput, Blob>;
    constructor(input: DescribeRefreshSchemasStatusInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeRefreshSchemasStatusInput, DescribeRefreshSchemasStatusOutput>;
}
