"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeRefreshSchemasStatus_1 = require("../model/operations/DescribeRefreshSchemasStatus");
var DescribeRefreshSchemasStatusCommand = /** @class */ (function () {
    function DescribeRefreshSchemasStatusCommand(input) {
        this.input = input;
        this.model = DescribeRefreshSchemasStatus_1.DescribeRefreshSchemasStatus;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeRefreshSchemasStatusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeRefreshSchemasStatusCommand;
}());
exports.DescribeRefreshSchemasStatusCommand = DescribeRefreshSchemasStatusCommand;
//# sourceMappingURL=DescribeRefreshSchemasStatusCommand.js.map