import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyEndpointInput } from "../types/ModifyEndpointInput";
import { ModifyEndpointOutput } from "../types/ModifyEndpointOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/ModifyEndpointInput";
export * from "../types/ModifyEndpointOutput";
export * from "../types/ModifyEndpointExceptionsUnion";
export declare class ModifyEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyEndpointInput, OutputTypesUnion, ModifyEndpointOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: ModifyEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyEndpointInput, ModifyEndpointOutput, Blob>;
    constructor(input: ModifyEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<ModifyEndpointInput, ModifyEndpointOutput>;
}
