"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteEndpointInput_1 = require("../shapes/DeleteEndpointInput");
var DeleteEndpointOutput_1 = require("../shapes/DeleteEndpointOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteEndpointInput_1.DeleteEndpointInput
    },
    output: {
        shape: DeleteEndpointOutput_1.DeleteEndpointOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        }
    ]
};
//# sourceMappingURL=DeleteEndpoint.js.map