"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._ElasticsearchSettings = {
    type: "structure",
    required: ["ServiceAccessRoleArn", "EndpointUri"],
    members: {
        ServiceAccessRoleArn: {
            shape: {
                type: "string"
            }
        },
        EndpointUri: {
            shape: {
                type: "string"
            }
        },
        FullLoadErrorPercentage: {
            shape: {
                type: "integer"
            }
        },
        ErrorRetryDuration: {
            shape: {
                type: "integer"
            }
        }
    }
};
//# sourceMappingURL=_ElasticsearchSettings.js.map