import { AddTagsToResourceOutput } from "./AddTagsToResourceOutput";
import { ApplyPendingMaintenanceActionOutput } from "./ApplyPendingMaintenanceActionOutput";
import { CreateEndpointOutput } from "./CreateEndpointOutput";
import { CreateEventSubscriptionOutput } from "./CreateEventSubscriptionOutput";
import { CreateReplicationInstanceOutput } from "./CreateReplicationInstanceOutput";
import { CreateReplicationSubnetGroupOutput } from "./CreateReplicationSubnetGroupOutput";
import { CreateReplicationTaskOutput } from "./CreateReplicationTaskOutput";
import { DeleteCertificateOutput } from "./DeleteCertificateOutput";
import { DeleteEndpointOutput } from "./DeleteEndpointOutput";
import { DeleteEventSubscriptionOutput } from "./DeleteEventSubscriptionOutput";
import { DeleteReplicationInstanceOutput } from "./DeleteReplicationInstanceOutput";
import { DeleteReplicationSubnetGroupOutput } from "./DeleteReplicationSubnetGroupOutput";
import { DeleteReplicationTaskOutput } from "./DeleteReplicationTaskOutput";
import { DescribeAccountAttributesOutput } from "./DescribeAccountAttributesOutput";
import { DescribeCertificatesOutput } from "./DescribeCertificatesOutput";
import { DescribeConnectionsOutput } from "./DescribeConnectionsOutput";
import { DescribeEndpointTypesOutput } from "./DescribeEndpointTypesOutput";
import { DescribeEndpointsOutput } from "./DescribeEndpointsOutput";
import { DescribeEventCategoriesOutput } from "./DescribeEventCategoriesOutput";
import { DescribeEventSubscriptionsOutput } from "./DescribeEventSubscriptionsOutput";
import { DescribeEventsOutput } from "./DescribeEventsOutput";
import { DescribeOrderableReplicationInstancesOutput } from "./DescribeOrderableReplicationInstancesOutput";
import { DescribePendingMaintenanceActionsOutput } from "./DescribePendingMaintenanceActionsOutput";
import { DescribeRefreshSchemasStatusOutput } from "./DescribeRefreshSchemasStatusOutput";
import { DescribeReplicationInstanceTaskLogsOutput } from "./DescribeReplicationInstanceTaskLogsOutput";
import { DescribeReplicationInstancesOutput } from "./DescribeReplicationInstancesOutput";
import { DescribeReplicationSubnetGroupsOutput } from "./DescribeReplicationSubnetGroupsOutput";
import { DescribeReplicationTaskAssessmentResultsOutput } from "./DescribeReplicationTaskAssessmentResultsOutput";
import { DescribeReplicationTasksOutput } from "./DescribeReplicationTasksOutput";
import { DescribeSchemasOutput } from "./DescribeSchemasOutput";
import { DescribeTableStatisticsOutput } from "./DescribeTableStatisticsOutput";
import { ImportCertificateOutput } from "./ImportCertificateOutput";
import { ListTagsForResourceOutput } from "./ListTagsForResourceOutput";
import { ModifyEndpointOutput } from "./ModifyEndpointOutput";
import { ModifyEventSubscriptionOutput } from "./ModifyEventSubscriptionOutput";
import { ModifyReplicationInstanceOutput } from "./ModifyReplicationInstanceOutput";
import { ModifyReplicationSubnetGroupOutput } from "./ModifyReplicationSubnetGroupOutput";
import { ModifyReplicationTaskOutput } from "./ModifyReplicationTaskOutput";
import { RebootReplicationInstanceOutput } from "./RebootReplicationInstanceOutput";
import { RefreshSchemasOutput } from "./RefreshSchemasOutput";
import { ReloadTablesOutput } from "./ReloadTablesOutput";
import { RemoveTagsFromResourceOutput } from "./RemoveTagsFromResourceOutput";
import { StartReplicationTaskOutput } from "./StartReplicationTaskOutput";
import { StartReplicationTaskAssessmentOutput } from "./StartReplicationTaskAssessmentOutput";
import { StopReplicationTaskOutput } from "./StopReplicationTaskOutput";
import { TestConnectionOutput } from "./TestConnectionOutput";
export declare type OutputTypesUnion = AddTagsToResourceOutput | ApplyPendingMaintenanceActionOutput | CreateEndpointOutput | CreateEventSubscriptionOutput | CreateReplicationInstanceOutput | CreateReplicationSubnetGroupOutput | CreateReplicationTaskOutput | DeleteCertificateOutput | DeleteEndpointOutput | DeleteEventSubscriptionOutput | DeleteReplicationInstanceOutput | DeleteReplicationSubnetGroupOutput | DeleteReplicationTaskOutput | DescribeAccountAttributesOutput | DescribeCertificatesOutput | DescribeConnectionsOutput | DescribeEndpointTypesOutput | DescribeEndpointsOutput | DescribeEventCategoriesOutput | DescribeEventSubscriptionsOutput | DescribeEventsOutput | DescribeOrderableReplicationInstancesOutput | DescribePendingMaintenanceActionsOutput | DescribeRefreshSchemasStatusOutput | DescribeReplicationInstanceTaskLogsOutput | DescribeReplicationInstancesOutput | DescribeReplicationSubnetGroupsOutput | DescribeReplicationTaskAssessmentResultsOutput | DescribeReplicationTasksOutput | DescribeSchemasOutput | DescribeTableStatisticsOutput | ImportCertificateOutput | ListTagsForResourceOutput | ModifyEndpointOutput | ModifyEventSubscriptionOutput | ModifyReplicationInstanceOutput | ModifyReplicationSubnetGroupOutput | ModifyReplicationTaskOutput | RebootReplicationInstanceOutput | RefreshSchemasOutput | ReloadTablesOutput | RemoveTagsFromResourceOutput | StartReplicationTaskOutput | StartReplicationTaskAssessmentOutput | StopReplicationTaskOutput | TestConnectionOutput;
