import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeEventCategoriesInput } from "../types/DescribeEventCategoriesInput";
import { DescribeEventCategoriesOutput } from "../types/DescribeEventCategoriesOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/DescribeEventCategoriesInput";
export * from "../types/DescribeEventCategoriesOutput";
export * from "../types/DescribeEventCategoriesExceptionsUnion";
export declare class DescribeEventCategoriesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeEventCategoriesInput, OutputTypesUnion, DescribeEventCategoriesOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: DescribeEventCategoriesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeEventCategoriesInput, DescribeEventCategoriesOutput, Blob>;
    constructor(input: DescribeEventCategoriesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeEventCategoriesInput, DescribeEventCategoriesOutput>;
}
