"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribePendingMaintenanceActions_1 = require("../model/operations/DescribePendingMaintenanceActions");
var DescribePendingMaintenanceActionsCommand = /** @class */ (function () {
    function DescribePendingMaintenanceActionsCommand(input) {
        this.input = input;
        this.model = DescribePendingMaintenanceActions_1.DescribePendingMaintenanceActions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribePendingMaintenanceActionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribePendingMaintenanceActionsCommand;
}());
exports.DescribePendingMaintenanceActionsCommand = DescribePendingMaintenanceActionsCommand;
//# sourceMappingURL=DescribePendingMaintenanceActionsCommand.js.map