"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeReplicationTasksInput_1 = require("../shapes/DescribeReplicationTasksInput");
var DescribeReplicationTasksOutput_1 = require("../shapes/DescribeReplicationTasksOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeReplicationTasks = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeReplicationTasks",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeReplicationTasksInput_1.DescribeReplicationTasksInput
    },
    output: {
        shape: DescribeReplicationTasksOutput_1.DescribeReplicationTasksOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeReplicationTasks.js.map