"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StartReplicationTaskAssessmentInput_1 = require("../shapes/StartReplicationTaskAssessmentInput");
var StartReplicationTaskAssessmentOutput_1 = require("../shapes/StartReplicationTaskAssessmentOutput");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartReplicationTaskAssessment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartReplicationTaskAssessment",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartReplicationTaskAssessmentInput_1.StartReplicationTaskAssessmentInput
    },
    output: {
        shape: StartReplicationTaskAssessmentOutput_1.StartReplicationTaskAssessmentOutput
    },
    errors: [
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        },
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=StartReplicationTaskAssessment.js.map