"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StopReplicationTaskInput_1 = require("../shapes/StopReplicationTaskInput");
var StopReplicationTaskOutput_1 = require("../shapes/StopReplicationTaskOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StopReplicationTask = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StopReplicationTask",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StopReplicationTaskInput_1.StopReplicationTaskInput
    },
    output: {
        shape: StopReplicationTaskOutput_1.StopReplicationTaskOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        }
    ]
};
//# sourceMappingURL=StopReplicationTask.js.map