import { AddTagsToResourceInput } from "./AddTagsToResourceInput";
import { ApplyPendingMaintenanceActionInput } from "./ApplyPendingMaintenanceActionInput";
import { CreateEndpointInput } from "./CreateEndpointInput";
import { CreateEventSubscriptionInput } from "./CreateEventSubscriptionInput";
import { CreateReplicationInstanceInput } from "./CreateReplicationInstanceInput";
import { CreateReplicationSubnetGroupInput } from "./CreateReplicationSubnetGroupInput";
import { CreateReplicationTaskInput } from "./CreateReplicationTaskInput";
import { DeleteCertificateInput } from "./DeleteCertificateInput";
import { DeleteEndpointInput } from "./DeleteEndpointInput";
import { DeleteEventSubscriptionInput } from "./DeleteEventSubscriptionInput";
import { DeleteReplicationInstanceInput } from "./DeleteReplicationInstanceInput";
import { DeleteReplicationSubnetGroupInput } from "./DeleteReplicationSubnetGroupInput";
import { DeleteReplicationTaskInput } from "./DeleteReplicationTaskInput";
import { DescribeAccountAttributesInput } from "./DescribeAccountAttributesInput";
import { DescribeCertificatesInput } from "./DescribeCertificatesInput";
import { DescribeConnectionsInput } from "./DescribeConnectionsInput";
import { DescribeEndpointTypesInput } from "./DescribeEndpointTypesInput";
import { DescribeEndpointsInput } from "./DescribeEndpointsInput";
import { DescribeEventCategoriesInput } from "./DescribeEventCategoriesInput";
import { DescribeEventSubscriptionsInput } from "./DescribeEventSubscriptionsInput";
import { DescribeEventsInput } from "./DescribeEventsInput";
import { DescribeOrderableReplicationInstancesInput } from "./DescribeOrderableReplicationInstancesInput";
import { DescribePendingMaintenanceActionsInput } from "./DescribePendingMaintenanceActionsInput";
import { DescribeRefreshSchemasStatusInput } from "./DescribeRefreshSchemasStatusInput";
import { DescribeReplicationInstanceTaskLogsInput } from "./DescribeReplicationInstanceTaskLogsInput";
import { DescribeReplicationInstancesInput } from "./DescribeReplicationInstancesInput";
import { DescribeReplicationSubnetGroupsInput } from "./DescribeReplicationSubnetGroupsInput";
import { DescribeReplicationTaskAssessmentResultsInput } from "./DescribeReplicationTaskAssessmentResultsInput";
import { DescribeReplicationTasksInput } from "./DescribeReplicationTasksInput";
import { DescribeSchemasInput } from "./DescribeSchemasInput";
import { DescribeTableStatisticsInput } from "./DescribeTableStatisticsInput";
import { ImportCertificateInput } from "./ImportCertificateInput";
import { ListTagsForResourceInput } from "./ListTagsForResourceInput";
import { ModifyEndpointInput } from "./ModifyEndpointInput";
import { ModifyEventSubscriptionInput } from "./ModifyEventSubscriptionInput";
import { ModifyReplicationInstanceInput } from "./ModifyReplicationInstanceInput";
import { ModifyReplicationSubnetGroupInput } from "./ModifyReplicationSubnetGroupInput";
import { ModifyReplicationTaskInput } from "./ModifyReplicationTaskInput";
import { RebootReplicationInstanceInput } from "./RebootReplicationInstanceInput";
import { RefreshSchemasInput } from "./RefreshSchemasInput";
import { ReloadTablesInput } from "./ReloadTablesInput";
import { RemoveTagsFromResourceInput } from "./RemoveTagsFromResourceInput";
import { StartReplicationTaskInput } from "./StartReplicationTaskInput";
import { StartReplicationTaskAssessmentInput } from "./StartReplicationTaskAssessmentInput";
import { StopReplicationTaskInput } from "./StopReplicationTaskInput";
import { TestConnectionInput } from "./TestConnectionInput";
export declare type InputTypesUnion = AddTagsToResourceInput | ApplyPendingMaintenanceActionInput | CreateEndpointInput | CreateEventSubscriptionInput | CreateReplicationInstanceInput | CreateReplicationSubnetGroupInput | CreateReplicationTaskInput | DeleteCertificateInput | DeleteEndpointInput | DeleteEventSubscriptionInput | DeleteReplicationInstanceInput | DeleteReplicationSubnetGroupInput | DeleteReplicationTaskInput | DescribeAccountAttributesInput | DescribeCertificatesInput | DescribeConnectionsInput | DescribeEndpointTypesInput | DescribeEndpointsInput | DescribeEventCategoriesInput | DescribeEventSubscriptionsInput | DescribeEventsInput | DescribeOrderableReplicationInstancesInput | DescribePendingMaintenanceActionsInput | DescribeRefreshSchemasStatusInput | DescribeReplicationInstanceTaskLogsInput | DescribeReplicationInstancesInput | DescribeReplicationSubnetGroupsInput | DescribeReplicationTaskAssessmentResultsInput | DescribeReplicationTasksInput | DescribeSchemasInput | DescribeTableStatisticsInput | ImportCertificateInput | ListTagsForResourceInput | ModifyEndpointInput | ModifyEventSubscriptionInput | ModifyReplicationInstanceInput | ModifyReplicationSubnetGroupInput | ModifyReplicationTaskInput | RebootReplicationInstanceInput | RefreshSchemasInput | ReloadTablesInput | RemoveTagsFromResourceInput | StartReplicationTaskInput | StartReplicationTaskAssessmentInput | StopReplicationTaskInput | TestConnectionInput;
